<template>
    <v-layout-default>
      <div class="bg-white rounded-[20px] relative shadow-sm border" v-loading="isLoading">
        <div
          class="border-b border-[#F3F3F3] py-[19px] pb-[10px] px-[28px] font-mm font-bold text-[20px] text-primary flex items-center justify-between"
        >
          <div>
            <div class="space-x-[13px] flex items-center">
              <fa-icon class="text-2xl" :icon="`fa-list-alt`" />
              <h2>Mortget Agreement</h2>
            </div>
            <div class="space-x-[13px] flex items-center">
              <div class="w-6"></div>
              <v-breadcrumb
                class="mt-1"
                :items="[
                  { name: 'Mortget Agreement ', path: '/mortget-agreement' },
                  { name: 'Edit', path: '/mortget-agreement/edit/' + $route.params?.id},
                ]"
              />
            </div>
          </div>
        </div>
        <div class="p-[19px] min-h-[300px]">
          <VMorgetAgreementForm
          
          />
        </div>
      </div>
      <div class="mt-2"></div>
    </v-layout-default>
  </template>
  
  <script>
  import VLayoutDefault from "@/pages/layout/VLayoutDefault.vue";
  import VMorgetAgreementForm from "@/components/Form/VMorgetAgreementForm";
  import {  mapGetters } from "vuex";
  import VBreadcrumb from "@/components/VBreadcrumb";
  
  export default {
    name: "v-mortget-agreement-add",
    components: {
      VLayoutDefault,
      VMorgetAgreementForm,
      VBreadcrumb,
    },
  
    computed: {
      ...mapGetters("MortgetAgreement", ["isLoading"]),
   
    },
   
  };
  </script>
  